LLVM: lldb::SBTypeNameSpecifier Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBTypeNameSpecifier Class Reference

`#include <SBTypeNameSpecifier.h>`

Collaboration diagram for lldb::SBTypeNameSpecifier:
[legend]

## Public Member Functions
| SBTypeNameSpecifier ()
| SBTypeNameSpecifier (const char *name, bool is_regex=false)
| SBTypeNameSpecifier (SBType type)
| SBTypeNameSpecifier (const lldb::SBTypeNameSpecifier &rhs)
| ~SBTypeNameSpecifier ()
bool | IsValid () const
const char * | GetName ()
SBType | GetType ()
bool | IsRegex ()
bool | GetDescription (lldb::SBStream &description, lldb::DescriptionLevel description_level)
lldb::SBTypeNameSpecifier & | operator= (const lldb::SBTypeNameSpecifier &rhs)
bool | IsEqualTo (lldb::SBTypeNameSpecifier &rhs)
bool | operator== (lldb::SBTypeNameSpecifier &rhs)
bool | operator!= (lldb::SBTypeNameSpecifier &rhs)

## Protected Member Functions
lldb::TypeNameSpecifierImplSP | GetSP ()
void | SetSP (const lldb::TypeNameSpecifierImplSP &type_namespec_sp)
| SBTypeNameSpecifier (const lldb::TypeNameSpecifierImplSP &)

## Protected Attributes
lldb::TypeNameSpecifierImplSP | m_opaque_sp

## Friends
class | SBDebugger
class | SBTypeCategory

## Detailed Description

Definition at line 18 of file SBTypeNameSpecifier.h.

## Constructor & Destructor Documentation

lldb::SBTypeNameSpecifier::SBTypeNameSpecifier | ( |  | ) |

lldb::SBTypeNameSpecifier::SBTypeNameSpecifier | ( | const char * | name,
|  | bool | is_regex = `false`
| ) |  |

lldb::SBTypeNameSpecifier::SBTypeNameSpecifier | ( | SBType | type | ) |

lldb::SBTypeNameSpecifier::SBTypeNameSpecifier | ( | const lldb::SBTypeNameSpecifier & | rhs | ) |

lldb::SBTypeNameSpecifier::~SBTypeNameSpecifier | ( |  | ) |

lldb::SBTypeNameSpecifier::SBTypeNameSpecifier | ( | const lldb::TypeNameSpecifierImplSP & |  | ) |
| protected

## Member Function Documentation

bool lldb::SBTypeNameSpecifier::GetDescription | ( | lldb::SBStream & | description,
|  | lldb::DescriptionLevel | description_level
| ) |  |

const char* lldb::SBTypeNameSpecifier::GetName | ( |  | ) |

lldb::TypeNameSpecifierImplSP lldb::SBTypeNameSpecifier::GetSP | ( |  | ) |
| protected

SBType lldb::SBTypeNameSpecifier::GetType | ( |  | ) |

bool lldb::SBTypeNameSpecifier::IsEqualTo | ( | lldb::SBTypeNameSpecifier & | rhs | ) |

bool lldb::SBTypeNameSpecifier::IsRegex | ( |  | ) |

bool lldb::SBTypeNameSpecifier::IsValid | ( |  | ) | const

bool lldb::SBTypeNameSpecifier::operator!= | ( | lldb::SBTypeNameSpecifier & | rhs | ) |

lldb::SBTypeNameSpecifier& lldb::SBTypeNameSpecifier::operator= | ( | const lldb::SBTypeNameSpecifier & | rhs | ) |

bool lldb::SBTypeNameSpecifier::operator== | ( | lldb::SBTypeNameSpecifier & | rhs | ) |

void lldb::SBTypeNameSpecifier::SetSP | ( | const lldb::TypeNameSpecifierImplSP & | type_namespec_sp | ) |
| protected

## Friends And Related Function Documentation

friend class SBDebugger
| friend

Definition at line 50 of file SBTypeNameSpecifier.h.

friend class SBTypeCategory
| friend

Definition at line 51 of file SBTypeNameSpecifier.h.

## Member Data Documentation

lldb::TypeNameSpecifierImplSP lldb::SBTypeNameSpecifier::m_opaque_sp
| protected

Definition at line 57 of file SBTypeNameSpecifier.h.

The documentation for this class was generated from the following file:

- SBTypeNameSpecifier.h